View Issue Details

IDProjectCategoryView StatusLast Update
0000218Far Manager 1.7xCopy/Movepublic2007-07-16 16:06
ReporterZuzAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000218: Проблема с копированием файла в самого себя
Description1. Путь есть файл C:\z.txt
2. Жмем F5
3. Пишем в поле, куда копировать C:
4. Получаем предупреждение, что такой файл существует, а должны получить ошибку, что нельзя копировать файл в сам себя
5. Жмем переписать, файл убивается до нулевого размера.

1. Путь есть файл C:\z.txt
2. Жмем F5
3. Пишем в поле, куда копировать C:
4. Получаем предупреждение, что такой файл существует, а должны получить ошибку, что нельзя копировать файл в сам себя
5. Жмем добавить, FAR начинает крутить какой-то цикл изменяя индикатор скорости копирования, если отменить по ESC, то файл остаётся живой.

см. мультик.
Additional InformationБагрепорт взят из fido7.far.support сообщил Nikita Hohlachev
TagsNo tags attached.
Build

Activities

2006-07-14 02:17

 

copy_append_bug.fss (29,547 bytes)

Zuz

2006-07-17 01:11

developer   bugnote:0000241

Забыл, сказать условия повторения:
[ ] Использовать системную функцию копирования

А при установленной опции для первого случая появляется диалог: "Нарушение совместного доступа к файлу - Ошибка копирования ..." и переписать файл не даёт, но со вторым случаем та же проблема.

Zuz

2006-07-17 01:19

developer   bugnote:0000242

Чтоб меня... жара:
[x] Копировать открытые для записи файлы
дорлжно быть установлено, иначе тоже не даёт переписать.

При снятой этой опции второй глюк с добавлением пропадает и ругается на совместный доступ к файлу.

vskirdin

2006-12-14 05:01

administrator   bugnote:0000356

см. после 2155

Issue History

Date Modified Username Field Change
2006-07-14 02:17 Zuz New Issue
2006-07-14 02:17 Zuz File Added: copy_append_bug.fss
2006-07-17 01:11 Zuz Note Added: 0000241
2006-07-17 01:19 Zuz Note Added: 0000242
2006-12-14 05:00 vskirdin Status new => assigned
2006-12-14 05:00 vskirdin Assigned To => vskirdin
2006-12-14 05:01 vskirdin Status assigned => resolved
2006-12-14 05:01 vskirdin Fixed in Version => 1.71
2006-12-14 05:01 vskirdin Resolution open => fixed
2006-12-14 05:01 vskirdin Note Added: 0000356
2007-07-16 16:06 alexy Status resolved => closed